### Method

# Soup Message get_tls_protocol_version

#### Declaration [src]

    GTlsProtocolVersion
    soup_message_get_tls_protocol_version (
      SoupMessage* msg
    )

#### Description [src]

Gets the TLS protocol version negotiated for `msg`‘s connection.

If the message connection is not SSL, `G_TLS_PROTOCOL_VERSION_UNKNOWN` is returned.

Gets property | `Soup.Message:tls-protocol-version`

#### Return value

Returns: | `GTlsProtocolVersion`
| A `GTlsProtocolVersion`.